
  /* Štýl pre tlačidlo */
  .cz-button {
    position: fixed;          /* zostane na mieste pri scrollovaní */
    bottom: 20px;             /* vzdialenosť od spodku */
    right: 20px;              /* vzdialenosť od pravého okraja */
    z-index: 9999;            /* nad všetkými elementmi */
    background-color: #8254ed ; /* modrá farba tlačidla */
    color: white;             /* biely text */
    border: none;             /* bez okrajov */
    border-radius: 50px;       /* zaoblené rohy */
    padding: 10px 16px;       /* vnútorné odsadenie */
    font-size: 16px;          /* veľkosť textu */
    cursor: pointer;          /* kurzor ruky */
    box-shadow: 0 4px 8px rgba(0,0,0,0.3); /* tieň */
    transition: background-color 0.3s ease, transform 0.2s ease;
    text-decoration: none;    /* odstráni podčiarknutie textu */
  }

  /* Efekt pri prechode myšou */
  .cz-button:hover {
    background-color: #000000;
    transform: scale(1.05);
  }


/* Language button inside modal */
.language-btn-wrap {
  margin-top: 20px;
  text-align: center;
}

.language-btn {
  display: inline-block;
  background-color: #8254ed  ;
  color: #fff;
  padding: 10px 20px;
  border-radius: 30px;
  font-weight: 600;
  text-decoration: none;
  transition: background 0.3s, transform 0.2s;
  margin-bottom: 20px;
}

.language-btn:hover {
  background-color: #000;
  transform: translateY(-2px);
}


/* HERO IMAGE SLIDER*/
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: "Inter", sans-serif;
  }

  body, html {
    font-family: "Inter", sans-serif;
    color: white;
    overflow-x: hidden;
  }
  .hero {
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow: hidden;
    justify-content: space-between;
    position: relative;
  }
  .hero {
    display: flex;
    flex-direction: column;
    gap: 0; 
  }
  /* HERO WRAP - background (gradient + image) */
.header-wrap {
  /* fallback (keby JS ešte nenabehol) */
  background-image:
 /* linear-gradient(180deg,
  rgba(136, 71, 245, 0.95) 0%,
  rgba(0, 0, 0, 0.55) 65%,
  rgba(0, 0, 0, 0.85) 100%
),*/
    url("../images/hero-image.png");

  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;

  transition: background-image 0.3s ease-in-out;
}


  .hero-text {
    position: absolute;
    top: 300px;
    text-align: center;
    font-size: 2rem;
    font-weight: 800;
    z-index: 3;
    
  }

  .hero-text span {
    display: block;
    font-weight: 900;
    color: #000000;
   
  }

  .hero-text span {
    background: linear-gradient(90deg, #29292d, #f5befb, #ed70f8);
    background: #ed70f8;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  
    /* fallback pre staršie browsery */
    background-clip: text;
    color: transparent;
  }

  .hero-text .text-subtitle{
    -webkit-text-fill-color: #8254ed !important;
    color: #8254ed !important;
    background: none !important;
  }
  


  .cta-button {
    font-family: "Inter", sans-serif;
    position: absolute;
    top: 20px;
    right: 20px;
    padding: 10px 20px;
    background: black;
    color: white;
    border: none;
    border-radius: 9999px;
    font-weight: bold;
    cursor: pointer;
    z-index: 3;
  }

  .button{
    text-align: center;
   padding-top: 20px;
   padding-bottom: 50px;

  }
  
  .button_download{
    text-align: center;
   padding-top: -50px;
   padding-bottom: 50px;
   background-color: #000000;
  }
  
  .button_bg{
    text-align: center;
   padding-top: -50px;
   padding-bottom: 50px;
   background-color: #212528;
  }

  .button_dialog1 {
    color: #000000;
    font-size: 16px;
    font-weight: 600;
    text-align: center;
    padding: 14px 0;
    margin-top: 0px;
    text-decoration: none;
    display: inline-block;
    width: 216px;
    background-color: #b1fda3;
    background-size: 500px 200px;
    border-radius: 80px;
    margin: auto;
    background-image: var(--gradient);
    transition: background-image 1s;

    background-position:left;
    transition: background-position 1s;
   }


  
   .button_dialog1:hover {
    color: #ffffff;
    background-color: #000000;
    background-image: var(--gradient);
    /*
    background-image: linear-gradient(red, blue );
    */
    background-position: right;
  }
    
   

  


  .avatar {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    border: 3px solid white;
    margin-bottom: 30px;
  }

  .name {
    font-size: 1.4rem;
    font-weight: bold;
  }

  .role {
    font-size: 0.9rem;
    color: #ddd;
    margin-bottom: 20px;
    font-family: "Inter", sans-serif;
  }



  .unlock-btn {
    background: #58DB00;
    width: 80%;
    text-align: center;
    margin: 0 auto;
    color: #000000;
    padding: 15px 40px;
    border: none;
    border-radius: 9999px;
    font-size: 1rem;
    cursor: pointer;
    align-items: center;
    gap: 10px;
    font-family: "Inter", sans-serif;
  }

  
  .hero-text span{
    font-size: 2em;
  }
  .header{
    display: flex; 
    justify-content: space-between; 
    align-items: center; 
    padding: 0.5em 1.8em ; 
    z-index: 1;
    width: 100%;
}
.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.5em 3.5em;
  z-index: 999;
  transition: background-color 0.3s ease;
  color: #ffffff;
}

.header.scroll {
  background-color: #ffffff;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.05);
  color: #000000;
}

.header-title{
    font-size: 1.5em;
    z-index: 1;
    color: #000000;
}

.header-title .brand-accent{
  color: #8254ed;
}


.header-button{
    background-color:#b1fda3;
    color: #000000;
    padding: 0.8em 1.5em;
    border-radius: 1.5em;
    z-index: 1;
    font-family: "Inter", sans-serif;
    font-weight: 600;
    cursor: pointer;
}

.header-button:hover {
  color: #ffffff;
  background-color: #010101;
  background-image: var(--gradient);
  /*
  background-image: linear-gradient(red, blue );
  */
  background-position: right;
}

.lock-icon{
  color: #000000;
  margin-right: 0.3em;
}

.header-title, .header-button {
  flex-shrink: 0;
  flex-grow: 0;
}
.social-media{
  color: black;
  margin: 0 auto;
  font-family: "Inter", sans-serif;
  
}
.social-media h1, .social-media span{
  display: flex;
  justify-content: center;
  text-align: center;

}
.social-media h1{
  font-size: 4em;
  font-weight: 900;
  margin-top: 2em;
  color: #ed70f8;
 
}
.social-media span{
  font-size: 1.4em;
  font-weight:500;
  margin-top: 20px;
  line-height: 1.5;
 
}



/*ICON CAROUSEL*/
.carousel-body{
    padding: 40px 0px;
    display: flex;
    justify-content: center;
    width: 100%;
    margin-top: 40px;
    color: #c5c5c5;
    font-family: "Inter", sans-serif;
    font-weight: 500;
  
  
}

.carousel-container {
  width: 100%;
  max-width: 100%;
  position: relative;

}

.carousel-track {
  display: flex;
  transition: transform 0.1s ease;
  min-width: 100%;
  will-change: transform;
}

.carousel-slide {
  flex: 0 0 16.66%; /* 100% / 6 ikon = 16.66% */
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 10px;
  box-sizing: border-box;
}

.carousel-slide img {
  width: 100px;
  height: 100px;
  margin-bottom: 30px;
}
/*SECTION FEED*/

.section-container {
  display: flex;
  flex-direction: column;
  padding: 0;
  margin: 0;
  color: #000;
}
.section-wrap:nth-child(odd){
  background-color:#f3f3f1;
}
.section-wrap {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap; 
  background-color: #f9f9f9;
  gap: 0;
  padding-bottom: 0;
  padding-top: 4em;
}

.text {
  flex: 2;
  max-width: 45%;
  text-align: left;
  font-size: 1em;
  margin-left: 2em;


}

.text h2 {
font-weight: 900;
padding-top: 0.5em;
color: #000;
color: #8254ed ;
}

.text p {
  font-size: 1.5em;
  color: #000;
  padding-top: 1em;
  line-height: 1.35;
  
  
}

.image {
  flex: 1;
  max-width: 100%;
  text-align: right;
  margin-right: 0.25em;
  flex: 0 0 50%; 
}
.text {
  flex: 2; 
 
}

.image img {
  max-width: 80%;
  height: auto;
  border-radius: 10px;
  position: relative;
  bottom: -4px;
}

.section-number{
  background-color: #000;
  padding: 0.6em 1em;
  border-radius: 50%;
  color: #ffffff;
  font-weight: bold;
  margin-bottom: 2em;
  width: auto;
  font-size: 1.2em;
}


/*BOX SLIDER*/
.box-slider {
  background: #f3f3f3;
  margin: 0;
  padding: 40px;
  color: #8254ed ;
}

.box-slider h1 {
  text-align: center;
  padding: 0.5em 1em;
  width: 60%;
  margin: 0 auto;
}

.box-slider p {
  text-align: center;
  color: #000;
  font-size: 1.5em;
  margin: 0 auto;
}
.box-text{
  width: 40%;
  line-height: 1.5;
  text-align: center;
}

.box-text-down{
 
  line-height: 1.5;
  text-align: center;
  
}



.slider-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 40px;
}

.slider-container {
  overflow: visible; /* Default:hidden*/
  width: 100%;
  max-width: 1300px;
  position: relative;
}

.slider-track {
  display: flex;
  transition: transform 0.3s ease-in-out;
  touch-action: pan-y;
}
.slider-track {
  display: flex;
  transition: transform 0.3s ease-in-out;
  touch-action: pan-y;
}
.box-card {
  background: white;
  border-radius: 16px;
  padding: 32px;
  margin: 10px;
  text-align: center;
  flex: 0 0 350px;
  color: black;
  font-family: "Inter", sans-serif;
  padding-top: 50px;
  padding-bottom: 50px;
}
.box-card h3,.box-card p{
  text-align: left;
}
.box-card h3{
  margin-top: 30px;
  margin-bottom: 15px;
  font-size: 1.5em;
  font-weight: 800;
}
.box-card p{
  margin-bottom: 15px;
  font-size: 1.2em;
}

.box-card img {
  width: 120px;
  height: 120px;
  border-radius: 25%;
  object-fit: cover;
  margin-bottom: 12px;
  margin-top: 12px;
}

.nav-button {
  background: black;
  color: white;
  border: none;
  font-size: 24px;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  cursor: pointer;
  margin: 0 10px;
}

.nav-button:hover {
  background: #333;
}

.box-dots {
  text-align: center;
  margin-top: 20px;
}

.box-dot {
  display: inline-block;
  width: 12px;
  height: 12px;
  margin: 0 5px;
  background-color: #bbb;
  border-radius: 50%;
  cursor: pointer;
}
.box-dot {
  display: inline-block;
  width: 10px;
  height: 10px;
  margin: 0 4px;
  border-radius: 50%;
  background-color: lightgray;
  cursor: pointer;
  transition: background-color 0.3s, transform 0.2s;
}

.box-dot.active {
  background-color: black;
}

/*FAQ*/
.faq-wrap{
  font-family: "Inter", sans-serif;
  background-color: #fff;
  padding: 20px;
  max-width: 940px;
  margin: auto;
  color: #000000;
  padding-top: 5em;
}
.faq-wrap h1 {
  text-align: center;
  color: #8254ed ;
}

.faq-wrap .subtitle {
  text-align: center;
  margin-bottom: 55px;
  font-size: 1.5em;
  line-height: 1.5;
  margin-top: 30px;
  color: #000;
}

.faq-wrap .subtitle a {
  color: #111;
  text-decoration: underline;
}

.faq {
  background-color: #f5f5f5;
  border-radius: 12px;
  margin-bottom: 15px;
  padding: 25px;
  cursor: pointer;
  transition: background 0.3s ease;
  font-size: 1.2em;
}

.faq.open {
  background-color: #e0e0e0;
}

.faq .question {
  font-weight: bold;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.faq .answer {
  margin-top: 10px;
  display: none;
  line-height: 1.5;
}

.faq.open .answer {
  display: block;
}

.faq-wrap .icon {
  font-size: 24px;
  user-select: none;
}
.start-wrap{
  margin: 0;
  font-family: "Inter", sans-serif;
  background-color: #f9f9f9;
  color: #111;
  display: flex;
  flex-direction: column;
}

.start-section {
  text-align: center;
  padding: 60px 5px;
  background-color: #f2f2f2;
}

.start-section h2 {
  margin-bottom: 30px;
  font-weight: 900;
  color: #8254ed ;
}

.start-section p {
  margin: 0 auto 30px;
  font-size: 1.2rem;
}

.store-buttons {
  display: flex;
  justify-content: center;
  gap: 20px;
  flex-wrap: wrap;
  margin-bottom: 40px;
  margin-top: 5em;
}

.store-buttons img {
  height: 60px;
  cursor: pointer;
}

footer {
  background-color: #111;
  color: #fff;
  padding: 30px 20px;
  text-align: center;
  font-weight: 300;
}

.social-icons {
  display: flex;
  justify-content: center;
  gap: 20px;
  margin-bottom: 15px;
}

.social-icons img {
  width: 42px;
  height: 42px;
  filter: brightness(0) invert(1); 
  cursor: pointer;
  margin: 10px;
}

.footer-links {
  margin-bottom: 10px;
  margin-top: 20px;
}

.footer-links a {
  color: #fff;
  text-decoration: none;
  margin: 0 10px;
  font-size: 0.9em;
}

.footer-links a:hover {
  text-decoration: underline;
}

.copyright {
  font-size: 0.8em;
  color: #bbb;
  margin-top: 30px;
}

.modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5); 
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 999;
  color: #000;
  font-family: "Inter", sans-serif;
}

.modal {
  background: #fff;
  border-radius: 12px;
  padding: 20px;
  text-align: center;
  max-width: 400px;
  width: 90%;
  box-shadow: 0 0 15px rgba(0,0,0,0.2);
  position: relative;
  line-height: 1.5;
}

.profileimage img {
  max-width: 100%;
  margin-bottom: 15px;
  border-radius: 50%;
  width: 200px;
    height: auto;
 }

.modal img {
  max-width: 100%;
  margin-bottom: 15px;
  border-radius: 50%;
  width: 200px;
    height: auto;
 }

.modal h2{
  padding: 0.4em;
  font-weight: 900;
}
.modal p{
  padding: 0.5em;
  padding-bottom: 0.8em;
  width: 80%;
  margin: 0 auto;
}
.close-btn {
  position: absolute;
  top: 10px;
  right: 15px;
  background: none;
  border: none;
  padding: 0;
  cursor: pointer;
}

.close-btn img {
  width: 24px; 
  height: 24px;
}

.store-btn img {
  width: 160px;
  margin: 10px 0;
}

.web-link {
  display: block;
  margin-top: 10px;
  color: #000;
  text-decoration: underline;
}

.hidden {
  display: none;
}
.text-title{
  font-size: 3.8em;
  font-weight: 900;
}
*{
  font-family: "Inter", sans-serif;
}
/* Responsive tweak */
@media (max-width: 920px) {
  .modal {
    padding: 30px;
    max-width: 500px;
  }
  /*--------*/
  .hero-text span{
    font-size: 1.8em;
  }
  .hero{
    height: 80wh;
  }
  .header{
    padding: 0;
    justify-content: space-around;
    font-size: 1em;
    overflow-x: hidden;
    padding: 0.8em 0em;
  }
  .carousel-slide {
    flex: 0 0 20%; /* 2 ikony na riadok */
  }
  .social-media h1{
    font-size: 2em;
    padding-right: 0.6em;
    padding-left: 0.6em;
  }
  .social-media span{
    font-size: 1em;
  }
  .card{
    width: 360px;
    height: 580px;
  }
  .carousel-body{
    margin-top: 0;
  }
  .carousel-slide img{
    width: 40px;
    height: 40px;
  }
  .section-wrap{
    flex-direction: column;
    width: 100%;
  }
  .text{
    width: 100%;
    max-width: 100%;
    margin-left: 0;
    text-align: center;
    padding-top: 2em;
  }
  .text h2{
    font-size: 1.8em;
  }
  .text p{
    font-size: 1em;
    width: 80%;
    margin: 0 auto;
  }
  .image{
    text-align: center;
    margin: 0;
  }
  .image img{
    max-width: 90%;
  }
  .section-number{
    font-size: 1em;
    margin: 0 auto;
  }
  .box-slider h1{
    font-size: 1.8em;
    width: 100%;
  }
  .box-slider p{
    width: 100%;
    font-size: 1em;
  }
  .faq-wrap h1{
     font-size: 1.8em;
  }
  .faq-wrap .subtitle{
    font-size: 1em;
  }
  .faq{
    font-size: 1em;
    padding: 20px;
  }
  .start-section h2{
    font-size: 1.8em;
  }
  .start-section p{
    font-size: 1em;
  }
  .store-buttons{
    margin-bottom: 20px;
    margin-top: 20px;
  }
  .store-buttons img{
    height: 40px;
  }
  /*--------*/
}
/* EXISTUJÚCI CSS ponechaj, pridaj toto naspodok */
@media (max-width: 768px) {
  .box-card {
    flex: 0 0 48%;
    padding: 16px;
    padding-top: 15px;
    padding-bottom: 5px;
    margin: 10px 5px;
  }

  .box-card h3 {
    font-size: 1em;
    margin-top: 16px;
    margin-bottom: 8px;
  }

  .box-card p {
    font-size: 0.95em;
    margin-bottom: 8px;
  }

  .box-card img {
    width: 80px;
    height: 80px;
  }
}


@media (max-width: 440px) {
.hero-text span{
  font-size: 1.5em;
}
.header{
  padding: 0;
  justify-content: space-around;
  font-size: 0.8em;
  overflow-x: hidden;
  padding: 0.8em 0em;
}
.carousel-slide {
  flex: 0 0 20%; /* 2 ikony na riadok */
  font-size: 0.7em;
}
.carousel-slide img{
  margin-bottom: 15px;
}
.social-media h1{
  font-size: 2em;
  padding-right: 0.6em;
  padding-left: 0.6em;
}
.social-media span{
  font-size: 1em;
  margin-left: 20px;
  margin-right: 20px;
}
.card{
  width: 340px;
}
.carousel-body{
  margin-top: 0;
}
.carousel-slide img{
  width: 40px;
  height: 40px;
}
.section-wrap{
  flex-direction: column;
  width: 100%;
}
.text{
  width: 100%;
  max-width: 100%;
  margin-left: 0;
  text-align: center;
  padding-top: 1em;
}
.text h2{
  font-size: 1.8em;
  width: 75%;
  margin: 0 auto;
  margin-top: 20px;
  margin-bottom: 15px;
}
.text p{
  font-size: 1em;
  width: 70%;
  margin-bottom: 20px;
}
.image{
  text-align: center;
  margin: 0;
}
.section-number{
  font-size: 1em;
  margin: 0 auto;
}
.box-slider h1{
  font-size: 1.8em;
  width: 100%;
}
.box-slider p{
  width: 100%;
  font-size: 1em;
}
.box-card p{
  font-size: 0.7em;
}
.faq-wrap h1{
   font-size: 1.8em;
}
.faq-wrap .subtitle{
  font-size: 1em;
}
.faq{
  font-size: 1em;
  padding: 20px;
}
.start-section h2{
  font-size: 1.8em;
}
.start-section p{
  font-size: 1em;
  margin-left: 20px;
  margin-right: 20px;
}
.store-buttons{
  margin-bottom: 20px;
  margin-top: 20px;
}
.store-buttons img{
  height: 40px;
}


.social-span br {
  display: none;
}
.box-text br{
  display: none;
}
.faq-wrap br{
  display: none;
}
.start-section br{
  display: none;
}
}
@media (max-width: 390px){
  .hero-text span{
    font-size: 1em;
  }
  .card{
    width: 300px;
    height: 510px;
  }
  .avatar{
    width: 95px;
    height: 95px;
  }
  .unlock-btn{
    font-size: 0.95rem;
    padding: 13px 32px;
  }
}
@media screen and (orientation: landscape) and (max-width: 1080px) {
  .hero {
    min-height: 200vh; /* Väčšia výška len v landscape na mobiloch */
  }

  .hero-text span {
    font-size: 1.5em;
  }

  .text p {
    margin-bottom: 25px;
  }
}

